Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/payment_attempt_records

List Payment Attempt Records

List all the Payment Attempt Records attached to the specified Payment Record.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
payment_recordquerystringThe ID of the Payment Record.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of payment_attempt_record
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/payment_attempt_records/{id}

Retrieve a Payment Attempt Record

Retrieves a Payment Attempt Record with the given ID

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
idpathstringThe ID of the Payment Attempt Record.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amount requiredpayments_primitives_payment_records_resource_amount
amount_authorized requiredpayments_primitives_payment_records_resource_amount
amount_canceled requiredpayments_primitives_payment_records_resource_amount
amount_failed requiredpayments_primitives_payment_records_resource_amount
amount_guaranteed requiredpayments_primitives_payment_records_resource_amount
amount_refunded requiredpayments_primitives_payment_records_resource_amount
amount_requested requiredpayments_primitives_payment_records_resource_amount
applicationstringID of the Connect application that created the PaymentAttemptRecord.
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
customer_detailsone of multiple schemasCustomer information for this payment.
customer_presencestringIndicates whether the customer was present in your checkout flow during this payment.
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
metadata requiredobjectSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
object requiredstringString representing the object's type. Objects of the same type share the same value.
payment_method_detailsone of multiple schemasInformation about the Payment Method debited for this payment.
payment_recordstringID of the Payment Record this Payment Attempt Record belongs to.
processor_details requiredpayments_primitives_payment_records_resource_processor_details
reported_by requiredstringIndicates who reported the payment.
shipping_detailsone of multiple schemasShipping information for this payment.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors